<script setup lang="ts">
import { useAuthStore } from '@/stores/auth'
import { inject, type Ref } from 'vue'
const rail = inject<Ref<boolean>>('rail')
const drawer = inject<Ref<boolean>>('drawer')
const authStore = useAuthStore()
</script>

<template>
  <v-navigation-drawer v-if="!['home', 'login'].includes($route.name! as string)" v-model="drawer" :rail="rail"
    permanent @click="rail = false" color="teal-darken-4"
    image="https://images.unsplash.com/photo-1620820186187-fc32e79adb74?q=80&w=1886&auto=format&fit=crop&ixlib=rb-4.0.3&ixid=M3wxMjA3fDB8MHxwaG90by1wYWdlfHx8fGVufDB8fHx8fA%3D%3D">
    <v-list-item prepend-avatar="public\img\coffee\60111.jpg" :title="authStore.getCurrentUser()?.email" nav>
      <template v-slot:append>
        <v-btn variant="text" icon="mdi-chevron-left" @click.stop="rail = !rail"></v-btn>
      </template>
    </v-list-item>

    <v-divider></v-divider>

    <v-list density="compact" nav>
      <v-list-item prepend-icon="mdi-cart" title="Point of sale" value="pos" :to="{ name: 'pos' }"></v-list-item>
      <v-list-item prepend-icon="mdi-account-box-edit-outline" title="Employee Management" value="employee"
        :to="{ path: '/employee-management' }"></v-list-item>
      <v-list-item prepend-icon="mdi-store-check" title="Stock Management" value="material"
        :to="{ path: '/material' }"></v-list-item>
      <v-list-item prepend-icon="mdi-cash" title="Salary Payment" value="salary"
        :to="{ path: '/salary' }"></v-list-item>
      <v-list-item prepend-icon="mdi-account" title="Check In Check Out" value="checkinout"
        :to="{ path: '/checkinout' }"></v-list-item>
      <v-list-item prepend-icon="mdi-account-group" title="Member" value="member"
        :to="{ path: '/member' }"></v-list-item>
      <v-list-item prepend-icon="mdi-account-product" title="Product" value="product"
        :to="{ path: '/product' }"></v-list-item>
      <v-list-item prepend-icon="invoice-text-multiple" title="Bill Payment" value="bill"
        :to="{ path: '/bill-payment' }"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-space"></v-list-item>
      <v-list-item prepend-icon="mdi-logout" title="Logout" value="logout" @click="authStore.logout()"></v-list-item>
    </v-list>
  </v-navigation-drawer>
</template>
